# Note that this is NOT a relocatable package
%define ver      0.23
%define rel      2mdk
%define prefix   /usr

Summary: The GNOME front-end for linuxconf.
Name: gnome-linuxconf
Version: %{ver}
Release: %{rel}
Copyright: GPL
Group: System/Configuration/Other
Source: gnome-linuxconf-%{ver}.tar.bz2
BuildRoot: /tmp/gnome-linuxconf-root
URL: http://www.gnome.org
Conflicts: linuxconf < 1.14
# close protocol requires 1.14

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window
manager for the X Window System.  The gnome-linuxconf package includes
GNOME's front end for the linuxconf system configuration utility.

%changelog
* Mon Apr 10 2000 Daouda Lo <daouda@mandrakeosoft.com> 0.23-2mdk
- libtoolized
- relocate in new group structure.

* Wed Jan 12 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.23-1mdk
- 0.23.
- Make sure to regenerate a libtool before.

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Rebuild/Relink

* Fri Apr 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Mandrake adpatations.

* Tue Apr 06 1999 Michael K. Johnson <johnsonm@redhat.com>
- button padding
- a little bigger by default
- notebook tab scrolling turned on
- replaced wmconfig file with applnk file

* Thu Apr 01 1999 Michael K. Johnson <johnsonm@redhat.com>
- exit cleanly when linuxconf sends clist items without a clist

* Thu Mar 25 1999 Michael K. Johnson <johnsonm@redhat.com>
- fix bug in choice menu state reporting for default choice

* Mon Mar 15 1999 Michael K. Johnson <johnsonm@redhat.com>
- honor and report the menu tree state
- new summary/description/group

* Sun Feb 07 1999 Michael K. Johnson <johnsonm@redhat.com>
- New version now builds against Gtk 1.1.15 as well

* Mon Jan 25 1999 Michael K. Johnson <johnsonm@redhat.com>
- new improved version, should build both with GNOME 0.20/Gtk 1.0.x
  and with GNOME 0.99.x/Gtk 1.1.x

* Thu Oct 29 1998 Michael K. Johnson <johnsonm@redhat.com>
- imported back into official gnome tree, new version to celebrate!

* Thu Oct 01 1998 Michael K. Johnson <johnsonm@redhat.com>
- library fix

* Mon Sep 28 1998 Michael K. Johnson <johnsonm@redhat.com>
- fixed lots of bugs, now has treemenu mode

* Thu May 07 1998 Michael K. Johnson <johnsonm@redhat.com>
- linuxconf 1.11r11 handles fast connections appropriately.

* Tue May 05 1998 Michael K. Johnson <johnsonm@redhat.com>
- ignore SIGTSTP to work around suspected gtk bug
- fix use of vsnprintf()
- fix port 98 remadmin connections
- fixed resizing bug without completely changing layout

* Mon May 04 1998 Michael K. Johnson <johnsonm@redhat.com>
- fixed resizing bug
- added wmconfig entry for linuxconf

* Sat May 02 1998 Michael K. Johnson <johnsonm@redhat.com>
- fixed radio buttons, deal with "rich text"
- improved justification follows remadmin standard more closely

* Fri May 01 1998 Michael K. Johnson <johnsonm@redhat.com>
- fixes radio buttons and combo boxes
- work around small gnome problems

* Wed Apr 29 1998 Michael K. Johnson <johnsonm@redhat.com>
- takes title widths into account, so works with 0-length clists

* Thu Apr 16 1998 Michael K. Johnson <johnsonm@redhat.com>
- Now works with linuxconf 1.10r21
- Fixed a few more display problems.

* Wed Apr 15 1998 Michael K. Johnson <johnsonm@redhat.com>
- New io engine, some other improvements, make this really usable.

* Thu Apr 09 1998 Michael K. Johnson <johnsonm@redhat.com>
- Make a linuxconf-only package.  Final intent is to split gnome
  packages out more finely-grained than the current CVS tree.

* Mon Mar 16 1998 Marc Ewing <marc@redhat.com>
- Integrate into gnome-admin CVS source tree

%prep
%setup
%configure

%build
if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}/bin
install -m 755 gnome-linuxconf $RPM_BUILD_ROOT%{prefix}/bin
mkdir -p $RPM_BUILD_ROOT%{prefix}/lib/rhs/control-panel/
install -m 644 linuxconf.xpm $RPM_BUILD_ROOT%{prefix}/lib/rhs/control-panel/
install -m 755 linuxconf.init $RPM_BUILD_ROOT%{prefix}/lib/rhs/control-panel/
mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/System
install -m 600 conf.desktop $RPM_BUILD_ROOT/etc/X11/applnk/System/conf.desktop

find $RPM_BUILD_ROOT/ -type 'f' -name '*[0-9]'|xargs file|grep troff\
|cut -d: -f1|xargs bzip2 -9
for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x'`;do
	file $i|grep -q "not stripped" && strip $i
done

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{prefix}/bin/gnome-linuxconf
%{prefix}/lib/rhs/control-panel/*
/etc/X11/applnk/System/conf.desktop
